#! /bin/zsh

# SPDX-FileCopyrightText: 2023 Tobias Schmidl
#
# SPDX-License-Identifier: GPL-3.0-or-later

# shellcheck shell=bash

alias bathelp='bat --plain --language=help'
unalias help
help() {
    "$@" --help 2>&1 | bathelp
}

batdiff() {
    git diff --name-only --relative --diff-filter=d | xargs bat --diff
}
